/*------------------------------------------------------------------------
----- Exhibits Builder
------------------------------------------------------------------------ */
/* PARCOURS DE LECTURE ---------------------------------- */
.exhibits {

	.breadcrumb {
		margin-bottom: 96px;
	}

	h1 {
		position: relative;
		width: fit-content;
		max-width: $maxwidth-xs;
		margin-top: 64px;
		padding: 12px 64px 12px 24px;
		background-color: $bg-primary;
		font-size: 1.6em;
		font-weight: normal;
		color: $color-light;
	}

	.exhibit-nav {
		position: relative;
		margin-top: 40px;
		padding: 16px;
		background-image: url(img/parcours_nav-bg.png);
		background-repeat: no-repeat;
		background-size: cover;
		font-size: 1.125em;

		@include breakpoint(sm) {
			margin-top: 48px;
			padding: 24px;
		}
		@include breakpoint(md) {
			padding: 32px;
		}
		@include breakpoint(lg) {
			margin-top: 64px;
			padding: 48px;
		}

		&::before {
			@include yellow-line;
			height: 15px;
			width: 300px;
			left: 50%;
			transform: translateX(-50%);
			top: -27px;
		}

		.h2 {
			margin-bottom: 32px;
			text-align: center;
			font-size: 1.2em;
		}
		ul {
			list-style-type: none;
			font-weight: 600;
		}
		li {
			margin-bottom: 8px;
		}
		a {
			@include content-links;
		}
	}

	.exhibit-description {
		max-width: $maxwidth-sm;
		margin-left: auto;
		margin-right: auto;
		margin-bottom: 96px;
		font-family: $font-headings;
		
		p {
			padding-left: 16px;
			padding-right: 16px;

			@include breakpoint(xs) {
				padding-left: 24px;
				padding-right: 24px;
			}
			@include breakpoint(sm) {
				padding-left: 32px;
				padding-right: 32px;
			}
		}
		p:first-of-type {
			margin-bottom: 48px;
			font-size: 1.25em;
		}
	}

	.exhibit-block {

		a {
			border-bottom: 1px solid $bg-secondary;

			&:hover,
			&:focus {
				border-color: darken($bg-tertiary, 20%);
				box-shadow: inset 0 -30px 0 0 lighten($bg-tertiary, 20%);
			}
		}
		.layout-text p,
		.layout-text ul {
			max-width: $maxwidth-sm;
			@include margins;
		}
	}
		

	.layout-universal-viewer {

		@include breakpoint(md) {
			width: calc(100vw - 64px);
			margin-left: calc( calc(-100vw + 100% + 64px) / 2);
		}
		@include breakpoint(lg) {
			width: 1280px;
			margin-left: calc( calc(-1280px + 100%) / 2);
		}
	}
}

.exhibits.parcours {

	&.show {

		h1 {
			margin-bottom: -128px;
		}
	}

	.exhibit-nav {
		text-align: center;
		background-image: url(img/parcours_nav-bg.png);

		
		ul {
			
		}
	}

	.container-block p,
	.container-block ul {
		max-width: $maxwidth-sm;
		@include margins;
	}
}
.parcours {
	
	&-header {
		max-width: $maxwidth-sm;
		margin-left: auto;
		margin-right: auto;
		margin-bottom: 96px;
		font-family: $font-headings;
		
		p {
			padding-left: 16px;
			padding-right: 16px;

			@include breakpoint(xs) {
				padding-left: 24px;
				padding-right: 24px;
			}
			@include breakpoint(sm) {
				padding-left: 32px;
				padding-right: 32px;
			}
		}
		p:first-of-type {
			margin-bottom: 48px;
			padding: 48px 16px 16px 16px;
			background-image: url(img/parcours_header-bg.png);
			background-repeat: no-repeat;
			background-size: cover;
			font-size: 1.25em;

			@include breakpoint(xs) {
				padding: 80px 24px 24px 24px;
			}
			@include breakpoint(sm) {
				padding: 128px 32px 32px 32px;
			}
			@include breakpoint(md) {
				padding: 128px 64px 64px 64px;
			}
		}
	}

	&-list {

		@include breakpoint(sm) {
			display: flex;
			flex-flow: row wrap;
			justify-content: space-between;
		}	
	}

	&-item {		

		@include breakpoint(xs) {
			display: flex;
			align-items: flex-start;
			column-gap: $margin;
		}
		@include breakpoint(sm) {
			width: $one-half;
			display: block;
		}
		@include breakpoint(md) {
			display: flex;
		}

		h2 {
			width: fit-content;
			margin-top: -32px;
			margin-left: 16px;		
			padding: 12px 16px 12px calc(#{$margin} + 64px);
			background-color: $bg-primary;
			font-family: $font-family;
			font-weight: 500;
			color: $color-light;

			@include breakpoint(xs) {
				margin-top: 16px;
				margin-left: -64px;
			}

			@include breakpoint(sm) {
				margin-top: -32px;
				margin-left: 16px;
				padding-left: 16px;
			}

			@include breakpoint(md) {
				margin-top: 16px;
				margin-left: -64px;
				padding-left: calc(#{$margin} + 64px);
			}
		}
		.layout-simple-image {
			display: flex;
			flex-direction: column;
			align-items: flex-end;
			justify-content: center;
			overflow: hidden;
			width: 200px;
			margin-bottom: 0;
			aspect-ratio: 11 / 8;
			background-color: $dropcap-bg;

			@include breakpoint(md) {
				margin-bottom: 16px;
			}
		}
		img {
			width: 150px;
		}
		.layout-text {			
			padding: 16px;

			@include breakpoint(xs) {
				width: calc(100% - 200px - #{$margin});
				padding: 0;
			}

			@include breakpoint(sm) {
				width: 100%;
				padding: 16px;
			}

			@include breakpoint(md) {
				width: calc(100% - 200px - #{$margin});
				padding: 0;
			}
		}
		p:last-child a {
			position: relative;
			text-transform: uppercase;
			font-weight: bold;
			font-family: $font-family-2;
			color: $color-secondary;
			box-shadow: inset 0 -7px 0 0 lighten($bg-secondary-cpl, 20%);

			&::after {
				content: '>';
				padding-left: 8px;
			}

			&:hover,
			&:focus {
				box-shadow: inset 0 -30px 0 0 lighten($bg-tertiary, 20%);
			}
		}
	}
}

/*.browse .exhibit {
	padding-top: ($spacing-unit - 1px);
	border-top: 1px solid $bg-border;
	overflow: hidden;
}

#content nav + .exhibit {

	@include breakpoint(sm) {
		clear: both;
	}	
}

.exhibits .pagination + .exhibit {
	clear: both;
	border-top: 0;
}

.summary #exhibit-pages {
	padding-top: 0;
}

#exhibit-pages {
	width: 100%;
	margin: 0 0 $spacing-unit;
	border: 1px solid $bg-border;
	border-width: 0 1px;

	@include breakpoint(sm) {
		display: inline-block;
		float: none;
		width: $one-third;
		margin-right: 0;
	}

	h4,
	& > ul:first-child > li:first-of-type {
		border-top: 1px solid $bg-border;
	}

	h4,
	& > ul > li {
		position: relative;
		margin-bottom: 0;
		padding: .5 * $spacing-unit;
		border-bottom: 1px solid $bg-border;
	}

	& > ul > li {
	}

	& > ul > li.parent::before,
	& > ul > li.current::before {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		height: 100%;
		width: 5px;
		background-color: #ccc;
	}

	ul {
		list-style-type: none;
		margin: 0;
	}

	ul ul {
		margin-left: 1.5em;
	}

	.current {
		font-weight: bold;

		& > *:not(a) {
			font-weight: normal;
		}
	}

	& > ul > li:not(.parent) ul {
		display: none;
	}

	& > ul > li.current ul {
		display: block;
	}

}

.show .exhibit-block:first-child {
	clear: none;
}

#exhibit-blocks,
.exhibits.summary #primary,
#exhibit-page-navigation {

	@include breakpoint(sm) {
		width: $three-fourths;
		margin-left: 0;
		float: left;
	}		
}

#exhibit-page-navigation {

	@include breakpoint(sm) {
		clear: none;
	}
	
}

.show .exhibit-child-nav li {
	display: inline-block;
	margin-right: 10px;
}

.exhibit-item-caption p {
	font-size: .75em;
	margin-top: $spacing-unit;
}

#exhibit-page-nav {
	padding-top: $spacing-unit;
	border-top: 1px solid $bg-border;
}

.exhibit-block {
	overflow: hidden;
}

.exhibit-block > *:last-child {
	margin-bottom: 0;
}

.exhibit-block > *:first-child,
.gallery + p,
.exhibit-items + p {
	margin-top: 0;
}*/
